MWAWRSRCParser Class Reference documentation

MWAWRSRCParser Class Reference

the main class to read a Mac resource fork More...

`#include <MWAWRSRCParser.hxx>`

## Classes
struct | Version
| a public structure used to return the version More...

## Public Member Functions
| MWAWRSRCParser (MWAWInputStreamPtr const &input)
| the constructor
| ~MWAWRSRCParser ()
| the destructor
bool | parse ()
| try to parse the document
MWAWInputStreamPtr | getInput ()
| return the rsrc input
MWAWEntry | getEntry (std::string type, int id) const
| returns a entry corresponding to a type and an id (if possible)
std::multimap< std::string, MWAWEntry > & | getEntriesMap ()
| returns the entry map (this map is filled by parse)
std::multimap< std::string, MWAWEntry > const & | getEntriesMap () const
| returns the entry map (this map is filled by parse)
bool | parseSTR (MWAWEntry const &entry, std::string &str)
| try to parse a STR entry
bool | parseSTRList (MWAWEntry const &entry, std::vector< std::string > &list)
| try to parse a STR# entry
bool | parsePICT (MWAWEntry const &entry, librevenge::RVNGBinaryData &pict)
| try to parse a PICT entry
bool | parseClut (MWAWEntry const &entry, std::vector< MWAWColor > &list)
| try to color map (clut entry)
bool | parseVers (MWAWEntry const &entry, Version &vers)
| try to parse a version entry
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
bool | parseMap (MWAWEntry const &entry, long dataBegin)
| try to parse the map

## Protected Attributes
MWAWInputStreamPtr | m_input
| the input stream
std::multimap< std::string, MWAWEntry > | m_entryMap
| the list of entries, name->entry
std::string | m_asciiName
| the debug file name
libmwaw::DebugFile | m_asciiFile
| the debug file
bool | m_parsed
| an internal flag used to know if the parsing was done

## Private Member Functions
| MWAWRSRCParser (MWAWRSRCParser const &orig)=delete
MWAWRSRCParser & | operator= (MWAWRSRCParser const &orig)=delete

## Detailed Description

the main class to read a Mac resource fork

## Constructor & Destructor Documentation

## ◆ MWAWRSRCParser() [1/2]

MWAWRSRCParser::MWAWRSRCParser | ( | MWAWInputStreamPtr const & | input | ) |
| explicit

the constructor

Referenced by getEntriesMap(), getEntry(), MWAWRSRCParser(), and operator=().

## ◆ ~MWAWRSRCParser()

MWAWRSRCParser::~MWAWRSRCParser | ( |  | ) |

the destructor

## ◆ MWAWRSRCParser() [2/2]

MWAWRSRCParser::MWAWRSRCParser | ( | MWAWRSRCParser const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile & MWAWRSRCParser::ascii | ( |  | ) |
| inline

a DebugFile used to write what we recognize when we parse the document

Referenced by parse(), parseClut(), parseMap(), parsePICT(), parseSTR(), parseSTRList(), parseVers(), and ~MWAWRSRCParser().

## ◆ asciiName()

std::string const & MWAWRSRCParser::asciiName | ( |  | ) | const
| inline

return the ascii file name

## ◆ getEntriesMap() [1/2]

std::multimap< std::string, MWAWEntry > & MWAWRSRCParser::getEntriesMap | ( |  | ) |
| inline

returns the entry map (this map is filled by parse)

## ◆ getEntriesMap() [2/2]

std::multimap< std::string, MWAWEntry > const & MWAWRSRCParser::getEntriesMap | ( |  | ) | const
| inline

returns the entry map (this map is filled by parse)

## ◆ getEntry()

MWAWEntry MWAWRSRCParser::getEntry | ( | std::string | type,
|  | int | id ) const

returns a entry corresponding to a type and an id (if possible)

## ◆ getInput()

MWAWInputStreamPtr MWAWRSRCParser::getInput | ( |  | ) |
| inline

return the rsrc input

## ◆ operator=()

MWAWRSRCParser & MWAWRSRCParser::operator= | ( | MWAWRSRCParser const & | orig | ) |
| privatedelete

## ◆ parse()

bool MWAWRSRCParser::parse | ( |  | ) |

try to parse the document

Referenced by getEntriesMap(), getEntriesMap(), and getEntry().

## ◆ parseClut()

bool MWAWRSRCParser::parseClut | ( | MWAWEntry const & | entry,
|  | std::vector< MWAWColor > & | list )

try to color map (clut entry)

## ◆ parseMap()

bool MWAWRSRCParser::parseMap | ( | MWAWEntry const & | entry,
|  | long | dataBegin )
| protected

try to parse the map

Referenced by parse().

## ◆ parsePICT()

bool MWAWRSRCParser::parsePICT | ( | MWAWEntry const & | entry,
|  | librevenge::RVNGBinaryData & | pict )

try to parse a PICT entry

## ◆ parseSTR()

bool MWAWRSRCParser::parseSTR | ( | MWAWEntry const & | entry,
|  | std::string & | str )

try to parse a STR entry

Referenced by parse().

## ◆ parseSTRList()

bool MWAWRSRCParser::parseSTRList | ( | MWAWEntry const & | entry,
|  | std::vector< std::string > & | list )

try to parse a STR# entry

Referenced by parse().

## ◆ parseVers()

bool MWAWRSRCParser::parseVers | ( | MWAWEntry const & | entry,
|  | Version & | vers )

try to parse a version entry

Referenced by parse().

## ◆ setAsciiName()

void MWAWRSRCParser::setAsciiName | ( | char const * | name | ) |
| inline

Debugging: change the default ascii file.

## Member Data Documentation

## ◆ m_asciiFile

libmwaw::DebugFile MWAWRSRCParser::m_asciiFile
| protected

the debug file

Referenced by ascii(), and MWAWRSRCParser().

## ◆ m_asciiName

std::string MWAWRSRCParser::m_asciiName
| protected

the debug file name

Referenced by asciiName(), MWAWRSRCParser(), parse(), and setAsciiName().

## ◆ m_entryMap

std::multimap<std::string, MWAWEntry> MWAWRSRCParser::m_entryMap
| protected

the list of entries, name->entry

Referenced by getEntriesMap(), getEntriesMap(), getEntry(), MWAWRSRCParser(), parse(), parseMap(), and ~MWAWRSRCParser().

## ◆ m_input

MWAWInputStreamPtr MWAWRSRCParser::m_input
| protected

the input stream

Referenced by getInput(), MWAWRSRCParser(), parse(), parseClut(), parseMap(), parsePICT(), parseSTR(), parseSTRList(), and parseVers().

## ◆ m_parsed

bool MWAWRSRCParser::m_parsed
| protected

an internal flag used to know if the parsing was done

Referenced by getEntriesMap(), getEntriesMap(), getEntry(), MWAWRSRCParser(), and parse().

The documentation for this class was generated from the following files:

- MWAWRSRCParser.hxx
- MWAWRSRCParser.cxx